# Basic Boundary Relocator

class pypdevs.relocators.basicBoundaryRelocator.BasicBoundaryRelocator(swappiness)

  Basic implementation of a boundary relocator

  __init__(swappiness)

    Constructor

    Parameters

      swappiness – the swappiness

  getRelocations(gvt, activities, horizon)

    Return all pending relocations

    Parameters

      - gvt – current GVT

      - activities – activities being passed on the GVT ring

      - horizon – the time over which the activities were gathered

    Returns

      all relocations that should be executed

  setController(controller)

    Configures the controller of this relocator

    Parameters

      controller – the controller

  useLastStateOnly()

    Determines whether or not the activities of all steps should be accumulated, or only a single state should be used.

    Returns

      boolean – True if the relocator works with a single state